Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Controller Java API Reference 10g Release 3 (10.1.3) B16004-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.controller.struts.actions
Class StrutsPageLifecycleFactory

`java.lang.Object
oracle.adf.controller.struts.actions.StrutsPageLifecycleFactory`

Direct Known Subclasses:
  DefaultStrutsPageLifecycleFactory

public abstract class StrutsPageLifecycleFactory
extends java.lang.Object

Abstract class providing base support to a StrutsPageLifecycle factory. Implement getPageLifecycle method to provide the factory functionality. See `DefaultStrutsPageLifecycleFactory` for an example.

Since:
  9.0.5

Field Summary
`static java.lang.String` | `factoryPlugInClassName`

Constructor Summary
`StrutsPageLifecycleFactory()`

Method Summary
`static StrutsPageLifecycleFactory` | `getInstance(org.apache.struts.config.ModuleConfig config)` Helper method to instanciate the factory given the ModuleConfig.
`abstract StrutsPageLifecycle` | `getPageLifecycle(java.lang.String path)` Return a StrutsPageLifecycle for given a page path.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factoryPlugInClassName

    public static final java.lang.String factoryPlugInClassName

  See Also:
    Constant Field Values

Constructor Detail

### StrutsPageLifecycleFactory

    public StrutsPageLifecycleFactory()

Method Detail

### getInstance

    public static StrutsPageLifecycleFactory getInstance(org.apache.struts.config.ModuleConfig config)

  Helper method to instanciate the factory given the ModuleConfig. The ModuleConfig possibly contain the class name of a sustitued factory as the value of a property named "lifecycleFactory".
  Parameters:
    `config` - the module config
  Returns:
    a StrutsPageLifecycleFactory instance

### getPageLifecycle

    public abstract StrutsPageLifecycle getPageLifecycle(java.lang.String path)

  Return a StrutsPageLifecycle for given a page path. The customized lifecycle should subclass StrutsPageLifecycle to support the base functionality. The page path give the flexibility of returning a different lifecycle for different type of web page like jsp, xml or uix.

  See `DefaultStrutsPageLifecycleFactory` for an example implementation of this method.

  Parameters:
    `path` - the web page path
  Returns:
    a customized StrutsPageLifecycle

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Controller Java API Reference 10g Release 3 (10.1.3) B16004-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.